<?= $this->extend('layouts/main') ?>

<?= $this->section('content') ?>

<div class="container">
    <div class="row">
        <div class="col-12">
            <h1><?= $title ?? 'TITLE' ?></h1>

            <?= form_open(route_to('blog_update', $post['id']), ['method' => 'post']) ?>

            <div class="mb-3">
                <?= form_label('Title', 'title', ['class' => 'form-label']) ?>
                <?= form_input([
                    'name' => 'title',
                    'class' => 'form-control',
                    'id' => 'title',
                    'value' => $post['title'],
                    'required' => true,
                ]) ?>
            </div>

            <div class="mb-3">
                <?= form_label('Excerpt', 'excerpt', ['class' => 'form-label']) ?>
                <?= form_input([
                    'name' => 'excerpt',
                    'class' => 'form-control',
                    'id' => 'excerpt',
                    'value' => $post['excerpt'],
                    'required' => true,
                ]) ?>
            </div>

            <div class="mb-3">
                <?= form_label('Content', 'content', ['class' => 'form-label']) ?>
                <?= form_textarea([
                    'name' => 'content',
                    'class' => 'form-control',
                    'id' => 'content',
                    'value' => $post['content'],
                    'required' => true,
                    'rows' => 5,
                ]) ?>
            </div>

            <?= form_button([
                'class' => 'btn btn-primary',
                'type' => 'submit',
                'content' => 'Update post',
            ]) ?>

            <?= form_close() ?>


        </div>
    </div>
</div>

<?= $this->endSection() ?>

